#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Libdvdnav-6.1.1

- Next

  libgstgtk4 from gst-plugins-rs-1.24.12

- Up
- Home

# Libdv-1.0.0

## Introduction to Libdv

The Quasar DV Codec (libdv) is a software CODEC for DV video, the encoding format used by most digital camcorders. It can be used to copy videos from camcorders using a firewire (IEEE 1394) connection.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/libdv/libdv-1.0.0.tar.gz

- Download MD5 sum: f895162161cfa4bb4a94c070a7caa6c7

- Download size: 574 KB

- Estimated disk space required: 6.0 MB

- Estimated build time: 0.2 SBU

### Libdv Dependencies

#### Optional

popt-1.19, sdl12-compat-1.2.68, and a graphical environment

## Installation of Libdv

Install libdv by running the following commands:

    ./configure --prefix=/usr \
                --disable-xv \
                --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    install -v -m755 -d      /usr/share/doc/libdv-1.0.0 &&
    install -v -m644 README* /usr/share/doc/libdv-1.0.0

## Command Explanations

`--disable-xv`: This parameter is required if an X Window System is not installed. It also prevents configure testing for `libXv` which is only used for an obsolete program playdv that will not be built with current linux headers and would also need other obsolete dependencies.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: dubdv, dvconnect, and encodedv
Installed Library: libdv.so
Installed Directories: /usr/include/libdv and /usr/share/doc/libdv-1.0.0

### Short Descriptions

dubdv | inserts audio into a digital video stream
dvconnect | is a small utility to send or capture raw data from and to the camcorder
encodedv | encodes a series of images to a digital video stream
`libdv.so` | provides functions for programs interacting with the Quasar DV CODEC

- Prev

  Libdvdnav-6.1.1

- Next

  libgstgtk4 from gst-plugins-rs-1.24.12

- Up
- Home